Subject: Re:
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 8 Feb 2000 00:57:00 -0800 (PST)

Bruce did give us project cost numbers and I will have him e-mail them to 
you.  Also, you and I already went through the project eval. form on USEC.  
Tom and I were trying to get numbers by Wednesday, but give me a call once 
you get the project cost numbers.  Thanks for your help with this project.
Ben